Skip to content

Domains

All operations require authentication.

2 operationsv1/license/office
Agent setup

List domainsAlpha

GET
/1.0/license/office/{serviceName}/domain

Returns the names of the domains of the tenant.

Path parameters

serviceName
required
string

Service name

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/office/{serviceName}/domain \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a domainAlpha

GET
/1.0/license/office/{serviceName}/domain/{domainName}

Returns the status of the domain, ok or unverified, and the TXT record required to validate it.

Path parameters

domainName
required
string

Domain name

serviceName
required
string

Service name

Response

200DomainNativesuccessful operation
domainName
read-only
string

Domain name

status
read-only
DomainStatusEnum

Domain status

Valuesokunverified
txtEntry
read-only
string

Domain status

Example uses domainName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/office/{serviceName}/domain/{domainName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "domainName": "string", "status": "ok", "txtEntry": "string"}